package com.goafanti.common.model;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * 项目申报详情日志(TaskDetailsLog)实体类
 *
 * @author makejava
 * @since 2025-02-14 15:11:32
 */
public class TaskDetailsLog implements Serializable {
    private static final long serialVersionUID = 419965485945349856L;

    private Integer id;
/**
     * 用户ID
     */
    private String uid;
/**
     * 项目进度编号
     */
    private Integer tdid;
/**
     * 业务负责人
     */
    private String taskName;
/**
     * 项目负责人
     */
    private String projectName;
/**
     * 技术咨询师
     */
    private String technologyName;
/**
     * 财税咨询师
     */
    private String financeTaxationName;
/**
     * 上年度年份
     */
    private Integer lastYear;
/**
     * 上年度年度销售额
     */
    private BigDecimal lastRdSalesAmount;
/**
     * 上年度高新研发预算
     */
    private BigDecimal lastRdBudget;
/**
     * 上年度年份
     */
    private Integer beforeLastYear;
/**
     * 上年度年度销售额
     */
    private BigDecimal beforeLastRdSalesAmount;
/**
     * 上年度高新研发预算
     */
    private BigDecimal beforeLastRdBudget;
/**
     * 职工人数
     */
    private Integer workersNumber;
/**
     * 科技人员数
     */
    private Integer technologyNumber;
/**
     * 科技人员占比
     */
    private Double workersRate;
/**
     * 研发立项数
     */
    private Integer projectApprovalNumber;
/**
     * 年度研发预算
     */
    private BigDecimal rdBudget;
/**
     * 年度研发预算占比
     */
    private Double rdBudgetRate;
/**
     * 三年研发预算占比
     */
    private Double threeYearsRdBudgetRate;
/**
     * 年度销售额
     */
    private BigDecimal rdSalesAmount;
/**
     * 数据周期 0=第一季度，1=上半年，2=前三季度，3=全年
     */
    private Integer dataCycle;
/**
     * 实际销售额
     */
    private BigDecimal actualSalesAmount;
/**
     * 实际立项RD数
     */
    private Integer actualRdNumber;
/**
     * 实际委外数
     */
    private Integer actualOutsourcingNumber;
/**
     * 实际合作项目数
     */
    private Integer actualCooperateNumber;
/**
     * 实际技术合同登记数
     */
    private Integer actualRegistrationNumber;
/**
     * 实际归集研发费用
     */
    private BigDecimal actualRdAmount;
/**
     * 年度研发预算占比
     */
    private Double actualRdRate;
/**
     * 三年研发预算占比
     */
    private Double threeYearsActualRdRate;
/**
     * 研发预算完成进度
     */
    private Double rdCompletionProgress;
/**
     * 火炬统计 0=其他，1=待完成，2=已完成，3=合同无此项
     */
    private Integer torchStatus;
/**
     * 高企年报火炬统计 0=其他，1=待完成，2=已完成，3=合同无此项
     */
    private Integer chStatus;
/**
     * 统计年报 0=其他，1=待完成，2=已完成，3=合同无此项
     */
    private Integer statisticsStatus;
/**
     * 汇算清缴 0=其他，1=待完成，2=已完成，3=合同无此项
     */
    private Integer finalSettlementStatus;
/**
     * 火炬统计其他说明
     */
    private String torchOther;
/**
     * 高企年报火炬统计其他说明
     */
    private String chOther;
/**
     * 统计年报其他说明
     */
    private String statisticsOther;
/**
     * 汇算清缴其他说明
     */
    private String finalSettlementOther;
/**
     * 报表加扣数
     */
    private Integer reportFormsRdNumber;
/**
     * 知识产权加扣费用
     */
    private BigDecimal intellectualPropertyAmount;
/**
     * 报表扣研发金额
     */
    private BigDecimal reportRdAmount;
/**
     * 研发准备金备案 0=其他，1=待完成，2=已完成，3=合同无此项
     */
    private Integer rdReservesStatus;
/**
     * 研发准备金备其他说明
     */
    private String rdReservesOther;
/**
     * 研发奖补申请 0=其他，1=待完成，2=已完成，3=合同无此项
     */
    private Integer rdAwardCompensationStatus;
/**
     * 研发准备金备其他说明
     */
    private String rdAwardCompensationOther;
/**
     * 研发奖补-申请金额
     */
    private BigDecimal rdApplicationFee;
/**
     * 研发奖补-公示金额
     */
    private BigDecimal rdAnnouncementAmount;
/**
     * 研发奖补-公示金额-其他
     */
    private String rdAnnouncementOther;
/**
     * 加扣备查交付 0=其他，1=待完成，2=已完成，3=合同无此项
     */
    private Integer adDeliverStatus;
/**
     * 加扣备查交付其他说明
     */
    private String adDeliverOther;
/**
     * 加扣备查交付归档 0=否，1=是
     */
    private Integer adDeliverFinish;
/**
     * 高新备查交付 0=其他，1=待完成，2=已完成，3=合同无此项
     */
    private Integer htDeliverStatus;
/**
     * 高新加扣备查交付其他说明
     */
    private String htDeliverOther;
/**
     * 高新加扣备查交付归档 0=否，1=是
     */
    private Integer htDeliverFinish;
/**
     * 召开上年度总结与本年工作计划会议 0=其他，1=待完成，2=已完成，3=合同无此项
     */
    private Integer closeMeetingStatus;
/**
     * 召开上年度总结与本年工作计划会议其他说明
     */
    private String closeMeetingOther;
/**
     * 阶段性汇报 1=月度，2=季度
     */
    private Integer phasedType;
/**
     * 阶段性汇报 1,2,3=选取1月到3月
     */
    private String phasedContent;
/**
     * 立项资料编写数
     */
    private Integer projectApprovalWriteNumber;
/**
     * 立项资料编写完成率
     */
    private Double projectApprovalWriteRate;
/**
     * 加扣预申报七月 0=其他，1=待完成，2=已完成，3=合同无此项
     */
    private Integer adPrepareJulyStatus;
/**
     * 加扣预申报七月其他说明
     */
    private String adPrepareJulyOther;
/**
     * 加扣预申报七月 0=其他，1=待完成，2=已完成，3=合同无此项
     */
    private Integer adPrepareOctoberStatus;
/**
     * 加扣预申报十月其他说明
     */
    private String adPrepareOctoberOther;
/**
     * 知识产权发明专利申报数
     */
    private Integer ipInventionPatentDeclare;
/**
     * 当年知识产权发明专利授权数
     */
    private Integer ipInventionPatentAuthorize;
/**
     * 累计知识产权发明专利授权数
     */
    private Integer ipInventionPatentAuthorizeCount;
/**
     * 知识产权实用新型申报数
     */
    private Integer ipUtilityModelDeclare;
/**
     * 当年知识产权实用新型授权数
     */
    private Integer ipUtilityModelAuthorize;
/**
     * 累计知识产权实用新型授权数
     */
    private Integer ipUtilityModelAuthorizeCount;
/**
     * 知识产权软著申报数
     */
    private Integer ipSoftwareWorksDeclare;
/**
     * 当年知识产权软著授权数
     */
    private Integer ipSoftwareWorksAuthorize;
/**
     * 累计知识产权软著授权数
     */
    private Integer ipSoftwareWorksAuthorizeCount;
/**
     * 知识产权高新数
     */
    private Integer ipHt;
/**
     * 知识产权高新I数
     */
    private Integer ipHtI;
/**
     * 知识产权高新II数
     */
    private Integer ipHtIi;
/**
     * 委外开发项目数
     */
    private Integer outsourcingDev;
/**
     * 技术开发合同登记数
     */
    private Integer contractRegistration;
/**
     * 公出约定次数
     */
    private Integer publicReleaseStipulation;
/**
     * 公出实际次数
     */
    private Integer publicReleaseActual;
/**
     * 培训约定次数
     */
    private Integer trainingStipulation;
/**
     * 培训实际次数
     */
    private Integer trainingActual;
/**
     * 培训其他说明
     */
    private String trainingOther;
/**
     * 高新认定评价估分
     */
    private Integer htScore;
/**
     * 高新认定评申报批次
     */
    private Integer htBatch;
/**
     * 高新认定重点关注 0=否，1=是
     */
    private Integer htFocus;
/**
     * 网上系统提交 0=其他，1=待完成，2=已完成，3=合同无此项
     */
    private Integer webSubmit;
/**
     * 网上系统提交其他说明
     */
    private String webSubmitOther;
/**
     * 纸质材料提交 0=其他，1=待完成，2=已完成，3=合同无此项
     */
    private Integer paperSubmit;
/**
     * 纸质材料提交其他说明
     */
    private String paperSubmitOther;
/**
     * 评审省级 0=淘汰，1=公示
     */
    private Integer reviewProvince;
/**
     * 评审国家级 0=淘汰，1=公示
     */
    private Integer reviewCountry;
/**
     * 评审省级序号
     */
    private String reviewProvinceNumber;
/**
     * 评审国家级高企编号
     */
    private String reviewCountryNumber;
/**
     * 备注说明
     */
    private String remarks;
/**
     * 修改人
     */
    private String aid;
/**
     * 修改人名称
     */
    private String aname;
/**
     * 创建时间
     */
    private Date createTime;
/**
     * 会员等级
     */
    private Integer memberLvl;
/**
     * 项目负责人编号
     */
    private String projectId;
/**
     * 高新技术税收优惠政策检查
     */
    private String featureHt;
/**
     * 加计扣除税收优惠政策检查
     */
    private String featureAd;
/**
     * 税务常规检查
     */
    private String featureTr;
/**
     * 税务对研发费用检查
     */
    private String featureTe;
/**
     * 税务稽查
     */
    private String featureTi;
/**
     * 其他
     */
    private String featureOther;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public Integer getTdid() {
        return tdid;
    }

    public void setTdid(Integer tdid) {
        this.tdid = tdid;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getTechnologyName() {
        return technologyName;
    }

    public void setTechnologyName(String technologyName) {
        this.technologyName = technologyName;
    }

    public String getFinanceTaxationName() {
        return financeTaxationName;
    }

    public void setFinanceTaxationName(String financeTaxationName) {
        this.financeTaxationName = financeTaxationName;
    }

    public Integer getLastYear() {
        return lastYear;
    }

    public void setLastYear(Integer lastYear) {
        this.lastYear = lastYear;
    }

    public BigDecimal getLastRdSalesAmount() {
        return lastRdSalesAmount;
    }

    public void setLastRdSalesAmount(BigDecimal lastRdSalesAmount) {
        this.lastRdSalesAmount = lastRdSalesAmount;
    }

    public BigDecimal getLastRdBudget() {
        return lastRdBudget;
    }

    public void setLastRdBudget(BigDecimal lastRdBudget) {
        this.lastRdBudget = lastRdBudget;
    }

    public Integer getBeforeLastYear() {
        return beforeLastYear;
    }

    public void setBeforeLastYear(Integer beforeLastYear) {
        this.beforeLastYear = beforeLastYear;
    }

    public BigDecimal getBeforeLastRdSalesAmount() {
        return beforeLastRdSalesAmount;
    }

    public void setBeforeLastRdSalesAmount(BigDecimal beforeLastRdSalesAmount) {
        this.beforeLastRdSalesAmount = beforeLastRdSalesAmount;
    }

    public BigDecimal getBeforeLastRdBudget() {
        return beforeLastRdBudget;
    }

    public void setBeforeLastRdBudget(BigDecimal beforeLastRdBudget) {
        this.beforeLastRdBudget = beforeLastRdBudget;
    }

    public Integer getWorkersNumber() {
        return workersNumber;
    }

    public void setWorkersNumber(Integer workersNumber) {
        this.workersNumber = workersNumber;
    }

    public Integer getTechnologyNumber() {
        return technologyNumber;
    }

    public void setTechnologyNumber(Integer technologyNumber) {
        this.technologyNumber = technologyNumber;
    }

    public Double getWorkersRate() {
        return workersRate;
    }

    public void setWorkersRate(Double workersRate) {
        this.workersRate = workersRate;
    }

    public Integer getProjectApprovalNumber() {
        return projectApprovalNumber;
    }

    public void setProjectApprovalNumber(Integer projectApprovalNumber) {
        this.projectApprovalNumber = projectApprovalNumber;
    }

    public BigDecimal getRdBudget() {
        return rdBudget;
    }

    public void setRdBudget(BigDecimal rdBudget) {
        this.rdBudget = rdBudget;
    }

    public Double getRdBudgetRate() {
        return rdBudgetRate;
    }

    public void setRdBudgetRate(Double rdBudgetRate) {
        this.rdBudgetRate = rdBudgetRate;
    }

    public Double getThreeYearsRdBudgetRate() {
        return threeYearsRdBudgetRate;
    }

    public void setThreeYearsRdBudgetRate(Double threeYearsRdBudgetRate) {
        this.threeYearsRdBudgetRate = threeYearsRdBudgetRate;
    }

    public BigDecimal getRdSalesAmount() {
        return rdSalesAmount;
    }

    public void setRdSalesAmount(BigDecimal rdSalesAmount) {
        this.rdSalesAmount = rdSalesAmount;
    }

    public Integer getDataCycle() {
        return dataCycle;
    }

    public void setDataCycle(Integer dataCycle) {
        this.dataCycle = dataCycle;
    }

    public BigDecimal getActualSalesAmount() {
        return actualSalesAmount;
    }

    public void setActualSalesAmount(BigDecimal actualSalesAmount) {
        this.actualSalesAmount = actualSalesAmount;
    }

    public Integer getActualRdNumber() {
        return actualRdNumber;
    }

    public void setActualRdNumber(Integer actualRdNumber) {
        this.actualRdNumber = actualRdNumber;
    }

    public Integer getActualOutsourcingNumber() {
        return actualOutsourcingNumber;
    }

    public void setActualOutsourcingNumber(Integer actualOutsourcingNumber) {
        this.actualOutsourcingNumber = actualOutsourcingNumber;
    }

    public Integer getActualCooperateNumber() {
        return actualCooperateNumber;
    }

    public void setActualCooperateNumber(Integer actualCooperateNumber) {
        this.actualCooperateNumber = actualCooperateNumber;
    }

    public Integer getActualRegistrationNumber() {
        return actualRegistrationNumber;
    }

    public void setActualRegistrationNumber(Integer actualRegistrationNumber) {
        this.actualRegistrationNumber = actualRegistrationNumber;
    }

    public BigDecimal getActualRdAmount() {
        return actualRdAmount;
    }

    public void setActualRdAmount(BigDecimal actualRdAmount) {
        this.actualRdAmount = actualRdAmount;
    }

    public Double getActualRdRate() {
        return actualRdRate;
    }

    public void setActualRdRate(Double actualRdRate) {
        this.actualRdRate = actualRdRate;
    }

    public Double getThreeYearsActualRdRate() {
        return threeYearsActualRdRate;
    }

    public void setThreeYearsActualRdRate(Double threeYearsActualRdRate) {
        this.threeYearsActualRdRate = threeYearsActualRdRate;
    }

    public Double getRdCompletionProgress() {
        return rdCompletionProgress;
    }

    public void setRdCompletionProgress(Double rdCompletionProgress) {
        this.rdCompletionProgress = rdCompletionProgress;
    }

    public Integer getTorchStatus() {
        return torchStatus;
    }

    public void setTorchStatus(Integer torchStatus) {
        this.torchStatus = torchStatus;
    }

    public Integer getChStatus() {
        return chStatus;
    }

    public void setChStatus(Integer chStatus) {
        this.chStatus = chStatus;
    }

    public Integer getStatisticsStatus() {
        return statisticsStatus;
    }

    public void setStatisticsStatus(Integer statisticsStatus) {
        this.statisticsStatus = statisticsStatus;
    }

    public Integer getFinalSettlementStatus() {
        return finalSettlementStatus;
    }

    public void setFinalSettlementStatus(Integer finalSettlementStatus) {
        this.finalSettlementStatus = finalSettlementStatus;
    }

    public String getTorchOther() {
        return torchOther;
    }

    public void setTorchOther(String torchOther) {
        this.torchOther = torchOther;
    }

    public String getChOther() {
        return chOther;
    }

    public void setChOther(String chOther) {
        this.chOther = chOther;
    }

    public String getStatisticsOther() {
        return statisticsOther;
    }

    public void setStatisticsOther(String statisticsOther) {
        this.statisticsOther = statisticsOther;
    }

    public String getFinalSettlementOther() {
        return finalSettlementOther;
    }

    public void setFinalSettlementOther(String finalSettlementOther) {
        this.finalSettlementOther = finalSettlementOther;
    }

    public Integer getReportFormsRdNumber() {
        return reportFormsRdNumber;
    }

    public void setReportFormsRdNumber(Integer reportFormsRdNumber) {
        this.reportFormsRdNumber = reportFormsRdNumber;
    }

    public BigDecimal getIntellectualPropertyAmount() {
        return intellectualPropertyAmount;
    }

    public void setIntellectualPropertyAmount(BigDecimal intellectualPropertyAmount) {
        this.intellectualPropertyAmount = intellectualPropertyAmount;
    }

    public BigDecimal getReportRdAmount() {
        return reportRdAmount;
    }

    public void setReportRdAmount(BigDecimal reportRdAmount) {
        this.reportRdAmount = reportRdAmount;
    }

    public Integer getRdReservesStatus() {
        return rdReservesStatus;
    }

    public void setRdReservesStatus(Integer rdReservesStatus) {
        this.rdReservesStatus = rdReservesStatus;
    }

    public String getRdReservesOther() {
        return rdReservesOther;
    }

    public void setRdReservesOther(String rdReservesOther) {
        this.rdReservesOther = rdReservesOther;
    }

    public Integer getRdAwardCompensationStatus() {
        return rdAwardCompensationStatus;
    }

    public void setRdAwardCompensationStatus(Integer rdAwardCompensationStatus) {
        this.rdAwardCompensationStatus = rdAwardCompensationStatus;
    }

    public String getRdAwardCompensationOther() {
        return rdAwardCompensationOther;
    }

    public void setRdAwardCompensationOther(String rdAwardCompensationOther) {
        this.rdAwardCompensationOther = rdAwardCompensationOther;
    }

    public BigDecimal getRdApplicationFee() {
        return rdApplicationFee;
    }

    public void setRdApplicationFee(BigDecimal rdApplicationFee) {
        this.rdApplicationFee = rdApplicationFee;
    }

    public BigDecimal getRdAnnouncementAmount() {
        return rdAnnouncementAmount;
    }

    public void setRdAnnouncementAmount(BigDecimal rdAnnouncementAmount) {
        this.rdAnnouncementAmount = rdAnnouncementAmount;
    }

    public String getRdAnnouncementOther() {
        return rdAnnouncementOther;
    }

    public void setRdAnnouncementOther(String rdAnnouncementOther) {
        this.rdAnnouncementOther = rdAnnouncementOther;
    }

    public Integer getAdDeliverStatus() {
        return adDeliverStatus;
    }

    public void setAdDeliverStatus(Integer adDeliverStatus) {
        this.adDeliverStatus = adDeliverStatus;
    }

    public String getAdDeliverOther() {
        return adDeliverOther;
    }

    public void setAdDeliverOther(String adDeliverOther) {
        this.adDeliverOther = adDeliverOther;
    }

    public Integer getAdDeliverFinish() {
        return adDeliverFinish;
    }

    public void setAdDeliverFinish(Integer adDeliverFinish) {
        this.adDeliverFinish = adDeliverFinish;
    }

    public Integer getHtDeliverStatus() {
        return htDeliverStatus;
    }

    public void setHtDeliverStatus(Integer htDeliverStatus) {
        this.htDeliverStatus = htDeliverStatus;
    }

    public String getHtDeliverOther() {
        return htDeliverOther;
    }

    public void setHtDeliverOther(String htDeliverOther) {
        this.htDeliverOther = htDeliverOther;
    }

    public Integer getHtDeliverFinish() {
        return htDeliverFinish;
    }

    public void setHtDeliverFinish(Integer htDeliverFinish) {
        this.htDeliverFinish = htDeliverFinish;
    }

    public Integer getCloseMeetingStatus() {
        return closeMeetingStatus;
    }

    public void setCloseMeetingStatus(Integer closeMeetingStatus) {
        this.closeMeetingStatus = closeMeetingStatus;
    }

    public String getCloseMeetingOther() {
        return closeMeetingOther;
    }

    public void setCloseMeetingOther(String closeMeetingOther) {
        this.closeMeetingOther = closeMeetingOther;
    }

    public Integer getPhasedType() {
        return phasedType;
    }

    public void setPhasedType(Integer phasedType) {
        this.phasedType = phasedType;
    }

    public String getPhasedContent() {
        return phasedContent;
    }

    public void setPhasedContent(String phasedContent) {
        this.phasedContent = phasedContent;
    }

    public Integer getProjectApprovalWriteNumber() {
        return projectApprovalWriteNumber;
    }

    public void setProjectApprovalWriteNumber(Integer projectApprovalWriteNumber) {
        this.projectApprovalWriteNumber = projectApprovalWriteNumber;
    }

    public Double getProjectApprovalWriteRate() {
        return projectApprovalWriteRate;
    }

    public void setProjectApprovalWriteRate(Double projectApprovalWriteRate) {
        this.projectApprovalWriteRate = projectApprovalWriteRate;
    }

    public Integer getAdPrepareJulyStatus() {
        return adPrepareJulyStatus;
    }

    public void setAdPrepareJulyStatus(Integer adPrepareJulyStatus) {
        this.adPrepareJulyStatus = adPrepareJulyStatus;
    }

    public String getAdPrepareJulyOther() {
        return adPrepareJulyOther;
    }

    public void setAdPrepareJulyOther(String adPrepareJulyOther) {
        this.adPrepareJulyOther = adPrepareJulyOther;
    }

    public Integer getAdPrepareOctoberStatus() {
        return adPrepareOctoberStatus;
    }

    public void setAdPrepareOctoberStatus(Integer adPrepareOctoberStatus) {
        this.adPrepareOctoberStatus = adPrepareOctoberStatus;
    }

    public String getAdPrepareOctoberOther() {
        return adPrepareOctoberOther;
    }

    public void setAdPrepareOctoberOther(String adPrepareOctoberOther) {
        this.adPrepareOctoberOther = adPrepareOctoberOther;
    }

    public Integer getIpInventionPatentDeclare() {
        return ipInventionPatentDeclare;
    }

    public void setIpInventionPatentDeclare(Integer ipInventionPatentDeclare) {
        this.ipInventionPatentDeclare = ipInventionPatentDeclare;
    }

    public Integer getIpInventionPatentAuthorize() {
        return ipInventionPatentAuthorize;
    }

    public void setIpInventionPatentAuthorize(Integer ipInventionPatentAuthorize) {
        this.ipInventionPatentAuthorize = ipInventionPatentAuthorize;
    }

    public Integer getIpInventionPatentAuthorizeCount() {
        return ipInventionPatentAuthorizeCount;
    }

    public void setIpInventionPatentAuthorizeCount(Integer ipInventionPatentAuthorizeCount) {
        this.ipInventionPatentAuthorizeCount = ipInventionPatentAuthorizeCount;
    }

    public Integer getIpUtilityModelDeclare() {
        return ipUtilityModelDeclare;
    }

    public void setIpUtilityModelDeclare(Integer ipUtilityModelDeclare) {
        this.ipUtilityModelDeclare = ipUtilityModelDeclare;
    }

    public Integer getIpUtilityModelAuthorize() {
        return ipUtilityModelAuthorize;
    }

    public void setIpUtilityModelAuthorize(Integer ipUtilityModelAuthorize) {
        this.ipUtilityModelAuthorize = ipUtilityModelAuthorize;
    }

    public Integer getIpUtilityModelAuthorizeCount() {
        return ipUtilityModelAuthorizeCount;
    }

    public void setIpUtilityModelAuthorizeCount(Integer ipUtilityModelAuthorizeCount) {
        this.ipUtilityModelAuthorizeCount = ipUtilityModelAuthorizeCount;
    }

    public Integer getIpSoftwareWorksDeclare() {
        return ipSoftwareWorksDeclare;
    }

    public void setIpSoftwareWorksDeclare(Integer ipSoftwareWorksDeclare) {
        this.ipSoftwareWorksDeclare = ipSoftwareWorksDeclare;
    }

    public Integer getIpSoftwareWorksAuthorize() {
        return ipSoftwareWorksAuthorize;
    }

    public void setIpSoftwareWorksAuthorize(Integer ipSoftwareWorksAuthorize) {
        this.ipSoftwareWorksAuthorize = ipSoftwareWorksAuthorize;
    }

    public Integer getIpSoftwareWorksAuthorizeCount() {
        return ipSoftwareWorksAuthorizeCount;
    }

    public void setIpSoftwareWorksAuthorizeCount(Integer ipSoftwareWorksAuthorizeCount) {
        this.ipSoftwareWorksAuthorizeCount = ipSoftwareWorksAuthorizeCount;
    }

    public Integer getIpHt() {
        return ipHt;
    }

    public void setIpHt(Integer ipHt) {
        this.ipHt = ipHt;
    }

    public Integer getIpHtI() {
        return ipHtI;
    }

    public void setIpHtI(Integer ipHtI) {
        this.ipHtI = ipHtI;
    }

    public Integer getIpHtIi() {
        return ipHtIi;
    }

    public void setIpHtIi(Integer ipHtIi) {
        this.ipHtIi = ipHtIi;
    }

    public Integer getOutsourcingDev() {
        return outsourcingDev;
    }

    public void setOutsourcingDev(Integer outsourcingDev) {
        this.outsourcingDev = outsourcingDev;
    }

    public Integer getContractRegistration() {
        return contractRegistration;
    }

    public void setContractRegistration(Integer contractRegistration) {
        this.contractRegistration = contractRegistration;
    }

    public Integer getPublicReleaseStipulation() {
        return publicReleaseStipulation;
    }

    public void setPublicReleaseStipulation(Integer publicReleaseStipulation) {
        this.publicReleaseStipulation = publicReleaseStipulation;
    }

    public Integer getPublicReleaseActual() {
        return publicReleaseActual;
    }

    public void setPublicReleaseActual(Integer publicReleaseActual) {
        this.publicReleaseActual = publicReleaseActual;
    }

    public Integer getTrainingStipulation() {
        return trainingStipulation;
    }

    public void setTrainingStipulation(Integer trainingStipulation) {
        this.trainingStipulation = trainingStipulation;
    }

    public Integer getTrainingActual() {
        return trainingActual;
    }

    public void setTrainingActual(Integer trainingActual) {
        this.trainingActual = trainingActual;
    }

    public String getTrainingOther() {
        return trainingOther;
    }

    public void setTrainingOther(String trainingOther) {
        this.trainingOther = trainingOther;
    }

    public Integer getHtScore() {
        return htScore;
    }

    public void setHtScore(Integer htScore) {
        this.htScore = htScore;
    }

    public Integer getHtBatch() {
        return htBatch;
    }

    public void setHtBatch(Integer htBatch) {
        this.htBatch = htBatch;
    }

    public Integer getHtFocus() {
        return htFocus;
    }

    public void setHtFocus(Integer htFocus) {
        this.htFocus = htFocus;
    }

    public Integer getWebSubmit() {
        return webSubmit;
    }

    public void setWebSubmit(Integer webSubmit) {
        this.webSubmit = webSubmit;
    }

    public String getWebSubmitOther() {
        return webSubmitOther;
    }

    public void setWebSubmitOther(String webSubmitOther) {
        this.webSubmitOther = webSubmitOther;
    }

    public Integer getPaperSubmit() {
        return paperSubmit;
    }

    public void setPaperSubmit(Integer paperSubmit) {
        this.paperSubmit = paperSubmit;
    }

    public String getPaperSubmitOther() {
        return paperSubmitOther;
    }

    public void setPaperSubmitOther(String paperSubmitOther) {
        this.paperSubmitOther = paperSubmitOther;
    }

    public Integer getReviewProvince() {
        return reviewProvince;
    }

    public void setReviewProvince(Integer reviewProvince) {
        this.reviewProvince = reviewProvince;
    }

    public Integer getReviewCountry() {
        return reviewCountry;
    }

    public void setReviewCountry(Integer reviewCountry) {
        this.reviewCountry = reviewCountry;
    }

    public String getReviewProvinceNumber() {
        return reviewProvinceNumber;
    }

    public void setReviewProvinceNumber(String reviewProvinceNumber) {
        this.reviewProvinceNumber = reviewProvinceNumber;
    }

    public String getReviewCountryNumber() {
        return reviewCountryNumber;
    }

    public void setReviewCountryNumber(String reviewCountryNumber) {
        this.reviewCountryNumber = reviewCountryNumber;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getAid() {
        return aid;
    }

    public void setAid(String aid) {
        this.aid = aid;
    }

    public String getAname() {
        return aname;
    }

    public void setAname(String aname) {
        this.aname = aname;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getMemberLvl() {
        return memberLvl;
    }

    public void setMemberLvl(Integer memberLvl) {
        this.memberLvl = memberLvl;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getFeatureHt() {
        return featureHt;
    }

    public void setFeatureHt(String featureHt) {
        this.featureHt = featureHt;
    }

    public String getFeatureAd() {
        return featureAd;
    }

    public void setFeatureAd(String featureAd) {
        this.featureAd = featureAd;
    }

    public String getFeatureTr() {
        return featureTr;
    }

    public void setFeatureTr(String featureTr) {
        this.featureTr = featureTr;
    }

    public String getFeatureTe() {
        return featureTe;
    }

    public void setFeatureTe(String featureTe) {
        this.featureTe = featureTe;
    }

    public String getFeatureTi() {
        return featureTi;
    }

    public void setFeatureTi(String featureTi) {
        this.featureTi = featureTi;
    }

    public String getFeatureOther() {
        return featureOther;
    }

    public void setFeatureOther(String featureOther) {
        this.featureOther = featureOther;
    }

}

